`PUT /api/v1/agents/{node_id}/tags/{key}` — set a single tag.
PUT
/api/v1/agents/{node_id}/tags/{key}
const url = 'https://example.com/api/v1/agents/example/tags/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/agents/example/tags/example \ --header 'Content-Type: application/json' \ --data '{ "value": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” node_id
required
string
Agent node ID
key
required
string
Tag key
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for PUT /api/v1/agents/{node_id}/tags/{key}.
object
value
required
string
Example generated
{ "value": "example"}Responses
Section titled “ Responses ”Tag set
Invalid tag key or value
Agent not found